Bug 436059 - Review Request: sigscheme - R5RS Scheme interpreter for embedded use
Review Request: sigscheme - R5RS Scheme interpreter for embedded use
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-04 22:08 EST by Akira TAGOH
Modified: 2008-03-09 22:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-09 22:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-03-04 22:08:49 EST
Spec URL: http://tagoh.fedorapeople.org/sigscheme/sigscheme.spec
SRPM URL: http://tagoh.fedorapeople.org/sigscheme/sigscheme-0.7.6-1.fc9.src.rpm
sigscheme is a R5RS Scheme interpreter that features small footprint,
low memory consumption, multibytes characters handling and more.
Comment 1 Parag AN(पराग) 2008-03-04 22:52:27 EST
we don't need now following in SPEC
Requires(post): /sbin/ldconfig
Requires(postun):       /sbin/ldconfig
Comment 2 Parag AN(पराग) 2008-03-04 23:45:26 EST
also, good to use following to keep timestamps of header files in -devel
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
Comment 4 Parag AN(पराग) 2008-03-06 22:36:18 EST
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=499156
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
1763a037e8e1c8e015f90221557e4ec9  sigscheme-0.7.6.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ sigscheme.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package sigscheme-0.7.6-2.fc9 ->
  Provides: libsscm.so.1
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libgcroots.so.0 libsscm.so.1 rtld(GNU_HASH)
+ Package sigscheme-devel-0.7.6-2.fc9 ->
  Requires: libsscm.so.1
+ Not a GUI App.
Comment 5 Akira TAGOH 2008-03-06 22:51:13 EST
Thanks for reviewing.

New Package CVS Request
Package Name: sigscheme
Short Description: R5RS Scheme interpreter for embedded use
Owners: tagoh
Branches: devel
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-03-07 12:54:50 EST
cvs done.
Comment 7 Akira TAGOH 2008-03-09 22:54:11 EDT
Thanks. sigscheme-0.7.6-2.fc9 has been imported and built on devel.

Note You need to log in before you can comment on or make changes to this bug.